<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.4"/>
<title>Framework: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.4 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="functions.html"><span>All</span></a></li>
      <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions_func.html#index_a"><span>a</span></a></li>
      <li><a href="functions_func_0x62.html#index_b"><span>b</span></a></li>
      <li><a href="functions_func_0x63.html#index_c"><span>c</span></a></li>
      <li><a href="functions_func_0x64.html#index_d"><span>d</span></a></li>
      <li><a href="functions_func_0x65.html#index_e"><span>e</span></a></li>
      <li><a href="functions_func_0x66.html#index_f"><span>f</span></a></li>
      <li><a href="functions_func_0x67.html#index_g"><span>g</span></a></li>
      <li><a href="functions_func_0x68.html#index_h"><span>h</span></a></li>
      <li><a href="functions_func_0x69.html#index_i"><span>i</span></a></li>
      <li><a href="functions_func_0x6a.html#index_j"><span>j</span></a></li>
      <li><a href="functions_func_0x6c.html#index_l"><span>l</span></a></li>
      <li><a href="functions_func_0x6d.html#index_m"><span>m</span></a></li>
      <li><a href="functions_func_0x6e.html#index_n"><span>n</span></a></li>
      <li><a href="functions_func_0x6f.html#index_o"><span>o</span></a></li>
      <li><a href="functions_func_0x70.html#index_p"><span>p</span></a></li>
      <li class="current"><a href="functions_func_0x72.html#index_r"><span>r</span></a></li>
      <li><a href="functions_func_0x73.html#index_s"><span>s</span></a></li>
      <li><a href="functions_func_0x74.html#index_t"><span>t</span></a></li>
      <li><a href="functions_func_0x75.html#index_u"><span>u</span></a></li>
      <li><a href="functions_func_0x76.html#index_v"><span>v</span></a></li>
      <li><a href="functions_func_0x77.html#index_w"><span>w</span></a></li>
      <li><a href="functions_func_0x78.html#index_x"><span>x</span></a></li>
      <li><a href="functions_func_0x79.html#index_y"><span>y</span></a></li>
      <li><a href="functions_func_0x7e.html#index_0x7e"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_func_0x72.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a class="anchor" id="index_r"></a>- r -</h3><ul>
<li>Read()
: <a class="el" href="classframework_1_1core_1_1_i2c_port.html#a0bd4f4c98dd89942bd41a48d4fb76c4c">framework::core::I2cPort</a>
, <a class="el" href="classframework_1_1core_1_1_r_t_d_m___i2c_port.html#aad068f789a4622827c46b5ac5b9cc2e0">framework::core::RTDM_I2cPort</a>
, <a class="el" href="classframework_1_1core_1_1_serial_port.html#a1aaa873feaff92d9d4750c23fc696db8">framework::core::SerialPort</a>
, <a class="el" href="classframework_1_1core_1_1_shared_mem.html#ac2e66f7f1ef12209419414ae3c2ebad6">framework::core::SharedMem</a>
, <a class="el" href="classframework_1_1core_1_1_r_t_d_m___serial_port.html#a146f905bc40b436dc52a4f6910538d11">framework::core::RTDM_SerialPort</a>
, <a class="el" href="classframework_1_1core_1_1_unix___serial_port.html#a52beb6207cde074203f1692113f1a4f6">framework::core::Unix_SerialPort</a>
</li>
<li>RecvMessage()
: <a class="el" href="classframework_1_1core_1_1_socket.html#aa07455775017781fdf8981e7ad6bd44b">framework::core::Socket</a>
</li>
<li>ReleaseMutex()
: <a class="el" href="classframework_1_1gui_1_1_box.html#af6b8193c19570d7992fab97cd78cd8d0">framework::gui::Box</a>
, <a class="el" href="classframework_1_1core_1_1_mutex.html#a747027e52ff793c20016eb82b3a242e2">framework::core::Mutex</a>
</li>
<li>ResetI()
: <a class="el" href="classframework_1_1filter_1_1_pid.html#a2499680a8cc1be6619f413f379581859">framework::filter::Pid</a>
</li>
<li>Resume()
: <a class="el" href="classframework_1_1core_1_1_thread.html#a998454819371b74a979ac4e5ba362c51">framework::core::Thread</a>
</li>
<li>RollPlot()
: <a class="el" href="classframework_1_1filter_1_1_ahrs.html#afa342497b5110ca1e7573346c6dc441a">framework::filter::Ahrs</a>
</li>
<li>Rotate()
: <a class="el" href="classframework_1_1core_1_1_point2_d.html#aaf8ae73f6077a9507ab6c8d9ae8cc2fd">framework::core::Point2D</a>
</li>
<li>RotateDeg()
: <a class="el" href="classframework_1_1core_1_1_point2_d.html#a1a78720641bad669c6625c606a445779">framework::core::Point2D</a>
</li>
<li>RotateX()
: <a class="el" href="classframework_1_1core_1_1_point3_d.html#a7fa558a2d1319abd99d2497324b2253e">framework::core::Point3D</a>
, <a class="el" href="classframework_1_1core_1_1_euler.html#a4218e2453532035c1da081ce05cd7625">framework::core::Euler</a>
</li>
<li>RotateXDeg()
: <a class="el" href="classframework_1_1core_1_1_euler.html#a39ca5f6a50cd25782b674511ead7bedb">framework::core::Euler</a>
, <a class="el" href="classframework_1_1core_1_1_point3_d.html#ac6b0f5db7980c641ada678f963837d5f">framework::core::Point3D</a>
</li>
<li>RotateY()
: <a class="el" href="classframework_1_1core_1_1_point3_d.html#a28e7a11fc017e4c660d4ab45a7c9236f">framework::core::Point3D</a>
, <a class="el" href="classframework_1_1core_1_1_euler.html#a528d6fe7bebabfd8f783ec6dbf510e86">framework::core::Euler</a>
</li>
<li>RotateYDeg()
: <a class="el" href="classframework_1_1core_1_1_euler.html#a497ff976a3b4b0b5e77f5ac17bc0648a">framework::core::Euler</a>
, <a class="el" href="classframework_1_1core_1_1_point3_d.html#a28d83a4869b847e617933c905df9e0e5">framework::core::Point3D</a>
</li>
<li>RotateZ()
: <a class="el" href="classframework_1_1core_1_1_euler.html#a955d5c391dddc6959a21cadc776f4aae">framework::core::Euler</a>
, <a class="el" href="classframework_1_1core_1_1_point3_d.html#a5c39f3563aad84ed29d443647e901b15">framework::core::Point3D</a>
</li>
<li>RotateZDeg()
: <a class="el" href="classframework_1_1core_1_1_euler.html#a73510ac5853edf97b9d54c0304383ea5">framework::core::Euler</a>
, <a class="el" href="classframework_1_1core_1_1_point3_d.html#a1fc238d5f6845e00743b958648b0907d">framework::core::Point3D</a>
</li>
<li>Rows()
: <a class="el" href="classframework_1_1core_1_1cvmatrix.html#a2bf310beb72ded24f1ea0df929ea5735">framework::core::cvmatrix</a>
, <a class="el" href="classframework_1_1core_1_1cvmatrix__descriptor.html#a34c4487f7bff5a40ae4c6536818afce3">framework::core::cvmatrix_descriptor</a>
</li>
<li>RTDM_I2cPort()
: <a class="el" href="classframework_1_1core_1_1_r_t_d_m___i2c_port.html#a8b08b951951dc55ecd466533e882f2f7">framework::core::RTDM_I2cPort</a>
</li>
<li>RTDM_SerialPort()
: <a class="el" href="classframework_1_1core_1_1_r_t_d_m___serial_port.html#a9cb25584cf47a553a97968f6066a65c4">framework::core::RTDM_SerialPort</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Jun 2 2014 09:47:01 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.4 </li>
  </ul>
</div>
</body>
</html>
